import os
from pygame import Color
# Updated to conform to flake8 and black standards
from pygame.locals import (
    RLEACCEL,
    K_UP,
    K_DOWN,
    K_LEFT,
    K_RIGHT,
    K_ESCAPE,
    KEYDOWN,
    QUIT,
    K_u
)

### CONSTANTS
CUBE_SIZE = 16
CUBES_X = 33
CUBES_Y = 21
SCREEN_WIDTH = CUBES_X * CUBE_SIZE
SCREEN_HEIGHT = (CUBES_Y) * CUBE_SIZE
OFFSET_X = 168
OFFSET_Y = 196 + 32
OFFSET_X_FOOD = OFFSET_X - int(OFFSET_X/CUBE_SIZE)*CUBE_SIZE + int(CUBE_SIZE/2)
OFFSET_Y_FOOD = OFFSET_Y - int(OFFSET_Y/CUBE_SIZE)*CUBE_SIZE + int(CUBE_SIZE)
WINDOW_WIDTH = 888
WINDOW_HEIGHT = 765
BACKGROUND_COLOR = Color('#6abf81')
SPEED = 20
HIGHEST_SCORES = 5
MALUS_TIMER = [3, 7]
BONUS_TIMER = MALUS_TIMER
BONUS_LIFE = [50, 150]
MALUS_LIFE = BONUS_LIFE
SCORE_FACTOR = 1
